> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search companies

> Search companies



## OpenAPI

````yaml post /companies/search
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /companies/search:
    post:
      tags:
        - Searcher
      summary: Search companies
      description: Search companies
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                company_names:
                  type: array
                  items:
                    type: string
                company_exclude_names:
                  type: array
                  items:
                    type: string
                company_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                company_exclude_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                company_locations:
                  type: array
                  items:
                    type: string
                company_exclude_locations:
                  type: array
                  items:
                    type: string
                company_domains:
                  type: array
                  items:
                    type: string
                    format: domain
                company_exclude_domains:
                  type: array
                  items:
                    type: string
                    format: domain
                company_linkedin_urls:
                  type: array
                  items:
                    type: string
                company_exclude_linkedin_urls:
                  type: array
                  items:
                    type: string
                company_domains_match_subsidiaries_and_affiliates:
                  type: boolean
                company_focuses:
                  type: array
                  items:
                    type: string
                    enum:
                      - b2b
                      - b2c
                company_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - Public Company
                      - Educational
                      - Self Employed
                      - Government Agency
                      - Non Profit
                      - Self Owned
                      - Privately Held
                      - Partnership
                company_sizes:
                  type: array
                  items:
                    type: string
                    enum:
                      - 1-10 employees
                      - 11-50 employees
                      - 51-200 employees
                      - 201-500 employees
                      - 501-1000 employees
                      - 1001-5000 employees
                      - 5001-10000 employees
                      - 10001+ employees
                company_industries:
                  type: array
                  description: >-
                    Available options: [Supported
                    industries](/api-reference/supported-industries)
                  items:
                    type: string
                company_exclude_industries:
                  type: array
                  description: >-
                    Available options: [Supported
                    industries](/api-reference/supported-industries)
                  items:
                    type: string
                company_investors:
                  type: array
                  description: >-
                    Array of investor names. Filter for companies that have
                    received investment by any of the specified investors.
                  items:
                    type: string
                company_shares_investors_with:
                  type: array
                  description: >-
                    Array of company names. Filter for companies that share one
                    or more common investors with the specified companies.
                  items:
                    type: string
                company_keywords:
                  type: array
                  description: >-
                    Keywords to search in the company description. Matches any
                    keyword by default.
                  items:
                    type: string
                company_exclude_keywords:
                  type: array
                  description: Keywords to exclude from the company description.
                  items:
                    type: string
                company_revenue:
                  type: array
                  description: Filter by estimated revenue range.
                  items:
                    type: string
                    enum:
                      - $0-$1M
                      - $1M-$10M
                      - $10M-$100M
                      - $100M-$1B
                      - $1B+
                company_founded_date:
                  type: object
                  description: Filter by founding year range.
                  properties:
                    min:
                      type: integer
                      description: Minimum founding year
                    max:
                      type: integer
                      description: Maximum founding year
                company_web_traffic_rank:
                  type: object
                  description: Filter by web traffic rank. Lower rank means more traffic.
                  properties:
                    min:
                      type: integer
                      description: Minimum traffic rank
                    max:
                      type: integer
                      description: Maximum traffic rank
                job_openings:
                  type: object
                  description: Filter by companies with matching open positions.
                  properties:
                    titles:
                      type: array
                      description: Free-text job titles to filter by.
                      items:
                        type: string
                news:
                  type: object
                  description: Filter by recent company news.
                  properties:
                    categories:
                      type: array
                      description: >-
                        News category slugs to filter by (e.g. hires, launches,
                        partners_with). Defaults to all categories if omitted.
                      items:
                        type: string
                    range_months:
                      type: integer
                      description: Number of months to look back for news.
                headcount_growth:
                  type: object
                  description: >-
                    Filter by total headcount growth percentage over a time
                    period.
                  properties:
                    growth_rates:
                      type: array
                      items:
                        type: object
                        properties:
                          min:
                            type: integer
                            description: Minimum growth percentage
                          max:
                            type: integer
                            description: Maximum growth percentage
                    time_frame_in_months:
                      type: integer
                      enum:
                        - 3
                        - 6
                        - 12
                      description: Time frame in months to measure growth over.
                crm_account_owner:
                  type: array
                  description: >-
                    Filter by CRM account owner emails. Requires a connected CRM
                    integration (Salesforce or HubSpot). Returns an error if no
                    owners match the provided emails.
                  items:
                    type: string
                    format: email
                company_last_funding:
                  type: object
                  description: Filter by last funding round.
                  properties:
                    round_type:
                      type: array
                      description: Funding round types to filter by.
                      items:
                        type: string
                        enum:
                          - pre_seed
                          - seed
                          - angel
                          - venture_round_unknown_series
                          - series_a
                          - series_b
                          - series_c
                          - series_d
                          - series_e
                          - series_f
                          - series_g
                          - series_h
                          - series_i
                          - series_j
                          - debt
                          - equity_crowdfunding
                          - convertible_note
                          - ico
                          - private_equity
                          - other
                    range_months:
                      type: integer
                      description: >-
                        Number of months to look back for the last funding
                        round.
                page:
                  type: integer
                  default: 1
                page_size:
                  type: integer
                  default: 5
                  minimum: 1
                  maximum: 50
        required: true
        description: Parameters to use for searching companies.
      responses:
        '200':
          description: Ok
          content:
            application/json:
              examples:
                Ok:
                  value:
                    object: company_search_result
                    results:
                      - id: 019e8e97-1417-7fdb-94bf-a4b4474d5722
                        object: company
                        name: A Company
                        website: https://company.com
                        linkedin_url: https://www.linkedin.com/company/company-1
                        keywords:
                          - sales
                          - ai sales
                          - sales engagement
                        estimated_number_of_employees: 500
                        size: 201-500 employees
                        industry: Software Development
                        logo_url: >-
                          https://assets.amplemarket.com/avatars/company/019e8e97-1417-7fdb-94bf-a4b4474d5722
                        location: San Francisco, California, United States
                        location_details:
                          city: San Francisco
                          state: California
                          country: United States
                          postal_code: '94103'
                          lat: 37.7749
                          long: -122.4194
                        locations:
                          - is_primary: true
                            address: >-
                              123 Main St, San Francisco, CA 94103, United
                              States
                            country: United States
                            state: California
                            city: San Francisco
                            postal_code: '94103'
                          - is_primary: false
                            address: 456 Broadway, New York, NY 10001, United States
                            country: United States
                            state: New York
                            city: New York
                            postal_code: '10001'
                        overview: We're an AI company.
                        followers: 300
                        founded_year: 1995
                        traffic_rank: 50
                        sic_codes:
                          - 1
                          - 2
                          - 3
                        naics_codes:
                          - 5112
                          - 511
                          - 51
                        type: Privately Held
                        total_funding: 0
                        latest_funding_stage: series_b
                        latest_funding_date: '2019-11-02'
                        funding_events:
                          - date: '2019-11-02'
                            type: Series B
                            investors: []
                            amount: 40000000
                            currency: null
                            amount_usd: null
                        is_b2b: true
                        is_b2c: false
                        technologies: []
                        department_headcount:
                          consulting: 31420
                          design: 5312
                          education: 9063
                          engineering_technical: 167805
                          finance: 31894
                          human_resources: 33265
                          information_technology: 94657
                          legal: 41863
                          marketing: 38192
                          medical_health: 11440
                          operations: 198127
                          product: 11077
                          revenue: 75777
                          senior_leadership: 1933
                        job_function_headcount:
                          finance:
                            accounting: 12824
                            finance: 12197
                            financial_planning_analysis: 2468
                            financial_reporting: 250
                            financial_risk: 886
                            financial_strategy: 91
                            financial_systems: 11
                            internal_audit_control: 850
                            investor_relations: 129
                            mergers_acquisitions: 259
                            real_estate_finance: 117
                            shared_services: 56
                            sourcing_procurement: 3767
                            tax: 822
                            treasury: 179
                          legal:
                            acquisitions: 8
                            compliance: 4921
                            contracts: 206
                            corporate_secretary: 217
                            ediscovery: 57
                            ethics: 1070
                            governance: 66
                            governmental_affairs_regulatory_law: 518
                            intellectual_property_patent: 63
                            labor_employment: 96
                            lawyer_attorney: 2014
                            legal: 31969
                            legal_counsel: 879
                            legal_operations: 3777
                            litigation: 89
                            privacy: 198
                          revenue:
                            account_management: 16253
                            business_development: 10633
                            channel_sales: 618
                            customer_retention_development: 1746
                            customer_success: 15253
                            field_outside_sales: 5375
                            inside_sales: 3475
                            partnerships: 380
                            revenue_operations: 26
                            sales: 43809
                            sales_enablement: 26
                            sales_engineering: 135
                            sales_operations: 254
                            sales_training: 465
                          engineering_technical:
                            artificial_intelligence_machine_learning: 4466
                            bioengineering_biometrics: 2
                            business_intelligence: 6811
                            chemical_engineering: 3014
                            cloud_mobility: 1144
                            data_science: 9589
                            devops: 502
                            digital_transformation: 13
                            emerging_technology_innovation: 576
                            engineering_technical: 37540
                            industrial_engineering: 1242
                            mechanic: 1037
                            mobile_development: 3282
                            project_management: 4923
                            research_development: 10123
                            scrum_master_agile_coach: 173
                            software_development: 57246
                            support_technical_services: 8328
                            technician: 7999
                            technology_operations: 64
                            test_quality_assurance: 6722
                            ui_ux: 458
                            web_development: 2551
                          operations:
                            call_center: 2095
                            construction: 2338
                            corporate_strategy: 1194
                            customer_service_support: 21434
                            enterprise_resource_planning: 389
                            facilities_management: 18036
                            leasing: 33
                            logistics: 75145
                            office_operations: 32304
                            operations: 27241
                            physical_security: 3280
                            project_development: 695
                            quality_management: 1801
                            real_estate: 961
                            safety: 2794
                            store_operations: 26641
                            supply_chain: 2728
                          senior_leadership:
                            executive: 348
                            finance_executive: 71
                            founder: 1128
                            human_resources_executive: 3
                            information_technology_executive: 35
                            legal_executive: 2
                            marketing_executive: 314
                            medical_health_executive: 3
                            operations_executive: 32
                            sales_executive: 2
                          medical_health:
                            anesthesiology: 33
                            chiropractics: 64
                            clinical_systems: 91
                            dentistry: 480
                            dermatology: 6
                            doctors_physicians: 1214
                            epidemiology: 1
                            first_responder: 504
                            medical_administration: 767
                            medical_education_training: 19
                            medical_research: 92
                            medicine: 1202
                            neurology: 1
                            nursing: 2053
                            nutrition_dietetics: 94
                            obstetrics_gynecology: 50
                            oncology: 3
                            ophthalmology: 11
                            optometry: 46
                            orthopedics: 14
                            pathology: 15
                            pediatrics: 20
                            pharmacy: 873
                            physical_therapy: 342
                            psychiatry: 383
                            psychology: 663
                            public_health: 803
                            radiology: 215
                            social_work: 2495
                          information_technology:
                            application_development: 37630
                            business_service_management_itsm: 1710
                            collaboration_web_app: 281
                            data_center: 597
                            data_warehouse: 2090
                            database_administration: 309
                            ecommerce_development: 285
                            enterprise_architecture: 784
                            help_desk_desktop_services: 4164
                            hr_financial_erp_systems: 807
                            information_security: 1742
                            information_technology: 9139
                            infrastructure: 2254
                            it_asset_management: 100
                            it_audit_it_compliance: 50
                            it_operations: 6941
                            it_procurement: 866
                            it_strategy: 439
                            it_training: 51
                            networking: 1528
                            project_program_management: 15780
                            quality_assurance: 8126
                            retail_store_systems: 1042
                            servers: 984
                            storage_disaster_recovery: 111
                            telecommunications: 186
                            virtualization: 915
                          education:
                            principal: 458
                            professor: 694
                            superintendent: 28
                            teacher: 7885
                          marketing:
                            advertising: 3032
                            brand_management: 2504
                            content_marketing: 2641
                            customer_experience: 812
                            customer_marketing: 8
                            demand_generation: 507
                            digital_marketing: 1640
                            ecommerce_marketing: 1121
                            event_marketing: 125
                            field_marketing: 740
                            lead_generation: 2937
                            marketing: 18980
                            marketing_analytics_insights: 716
                            marketing_communications: 496
                            marketing_operations: 71
                            product_marketing: 1319
                            public_relations: 972
                            search_engine_optimization_pay_per_click: 974
                            social_media_marketing: 1411
                            strategic_communications: 709
                            technical_marketing: 5
                          consulting:
                            consultant: 31420
                          human_resources:
                            compensation_benefits: 908
                            culture_diversity_inclusion: 182
                            employee_labor_relations: 1147
                            health_safety: 1087
                            hr_business_partner: 3332
                            human_resource_information_system: 1321
                            human_resources: 13884
                            learning_development: 7386
                            organizational_development: 154
                            people_operations: 10
                            recruiting_talent_acquisition: 5764
                            talent_management: 911
                            workforce_management: 571
                          design:
                            graphic_visual_brand_design: 3707
                            product_or_ui_ux_design: 2364
                          product:
                            product_development: 266
                            product_management: 10811
                    _pagination:
                      page: 1
                      page_size: 30
                      total_pages: 1
                      total: 1
              schema:
                $ref: '#/components/schemas/response_company_search_result_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad page_size:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''page_size'' must be between 1 and 50.'
                        source:
                          pointer: /page_size
                    object: error
                Bad industry:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Industry A'' is not a supported industry.'
                        source:
                          pointer: /company_industries
                    object: error
                Bad company type:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Some company type'' is not a supported company type.'
                        source:
                          pointer: /company_types
                    object: error
                Bad company focus:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          'business2business' is not a supported company focus
                          value.
                        source:
                          pointer: /company_focuses
                    object: error
                Bad company size:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''1000000000+'' is not a supported company size.'
                        source:
                          pointer: /company_sizes
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    _errors:
                      - code: internal_server_error
                        title: Internal Server Error
                        detail: Something went wrong.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_company_search_result_object:
      type: object
      required:
        - object
        - results
        - _pagination
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - company_search_result
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_company_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _pagination:
          $ref: '#/components/schemas/response_pagination_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_company_object:
      type: object
      required:
        - id
        - object
        - linkedin_url
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - company
        linkedin_url:
          nullable: false
          type: string
        name:
          nullable: true
          type: string
        overview:
          nullable: true
          type: string
        website:
          nullable: true
          type: string
        keywords:
          nullable: true
          type: array
          items:
            type: string
        followers:
          nullable: true
          type: integer
        estimated_number_of_employees:
          nullable: true
          type: integer
        size:
          nullable: true
          type: string
          enum:
            - 10001+ employees
            - 201-500 employees
            - 51-200 employees
            - 11-50 employees
            - 1-10 employees
        location:
          nullable: true
          type: string
        location_details:
          $ref: '#/components/schemas/response_location_details_object'
        locations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/response_location_object'
        logo_url:
          type: string
          format: uri
        founded_year:
          nullable: true
          type: integer
        traffic_rank:
          nullable: true
          type: integer
        sic_codes:
          nullable: true
          type: array
          items:
            type: integer
        naics_codes:
          nullable: true
          type: array
          items:
            type: integer
        type:
          nullable: true
          type: string
          enum:
            - Public Company
            - Educational
            - Self Employed
            - Government Agency
            - Non Profit
            - Self Owned
            - Privately Held
            - Partnership
        total_funding:
          nullable: true
          type: integer
        latest_funding_stage:
          nullable: true
          type: string
          enum:
            - seed
            - angel
            - venture_round_unknown_series
            - series_a
            - series_b
            - series_c
            - series_d
            - series_e
            - series_f
            - series_g
            - series_h
            - series_i
            - series_j
            - debt
            - equity_crowdfunding
            - convertible_note
            - ico
            - private_equity
            - other
        latest_funding_date:
          nullable: true
          type: string
          format: date
        is_b2b:
          nullable: true
          type: boolean
        is_b2c:
          nullable: true
          type: boolean
        technologies:
          nullable: true
          type: array
          items:
            type: string
        department_headcount:
          $ref: '#/components/schemas/response_department_headcount_object'
        job_function_headcount:
          $ref: '#/components/schemas/response_job_function_headcount_object'
        estimated_revenue:
          nullable: true
          type: string
          enum:
            - $0-$1M
            - $1M-$10M
            - $10M-$100M
            - $100M-$1B
            - $1B+
        revenue:
          nullable: true
          type: integer
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_pagination_object:
      type: object
      required:
        - page
        - page_size
        - total
      additionalProperties: false
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_location_details_object:
      type: object
      additionalProperties: false
      properties:
        country:
          nullable: true
          type: string
        state:
          nullable: true
          type: string
        city:
          nullable: true
          type: string
        postal_code:
          nullable: true
          type: string
        lat:
          nullable: true
          type: number
        long:
          nullable: true
          type: number
    response_location_object:
      type: object
      additionalProperties: false
      properties:
        address:
          nullable: false
          type: string
          description: Full address as a single string
        is_primary:
          nullable: false
          type: boolean
          description: Indicates if this is the primary location
        country:
          nullable: true
          type: string
          description: Country name (e.g., United States)
        state:
          nullable: true
          type: string
          description: State or subdivision name (e.g., California, New York)
        city:
          nullable: true
          type: string
          description: City name
        postal_code:
          nullable: true
          type: string
          description: Postal code
    response_department_headcount_object:
      type: object
      additionalProperties:
        type: integer
    response_job_function_headcount_object:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          type: integer
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````